%define upstream_name ConfigReader
%define upstream_version 0.5

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Read directives from a configuration file
Url:        http://search.cpan.org/dist/%{upstream_name}
Source:     http://www.cpan.org/modules/by-module/ConfigReader/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:  noarch

%description
The ConfigReader::Spec class stores a specification about configuration
directives: their names, whether they are required or if they have default
values, and what parsing function or method to use.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
cat > Makefile.PL <<EOF
use ExtUtils::MakeMaker;

WriteMakefile(
    'NAME'	       => 'ConfigReader::DirectiveStyle',
    'VERSION_FROM' => 'DirectiveStyle.pm',
);
EOF

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.500.0-5.mga8
+ Revision: 1493579
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.500.0-4.mga7
+ Revision: 1266644
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.500.0-3.mga6
+ Revision: 1024312
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.500.0-2.mga6
+ Revision: 968801
- Mageia 6 Mass Rebuild

* Sun Jul 19 2015 sander85 <sander85> 0.500.0-1.mga6
+ Revision: 855436
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 0.5-6.mga5
+ Revision: 744787
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5-5.mga5
+ Revision: 684003
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5-4.mga4
+ Revision: 510327
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.5-3.mga3
+ Revision: 364712
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.5-2.mga1
+ Revision: 26234
- no meta.yml
- mageia rebuild
- imported package perl-ConfigReader


* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.5-2mdv2010.0
+ Revision: 440542
- rebuild

* Fri Mar 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.5-1mdv2009.1
+ Revision: 349954
- import perl-ConfigReader


* Fri Mar 06 2009 cpan2dist 0.5-1mdv
- initial mdv release, generated with cpan2dist

